Package org.apache.solr.cluster.api

## Interface SolrCollection

    public interface SolrCollection

Represents a collection in Solr

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `config()` Name of the configset used by this collection
`String` `name()`
`Router` `router()` Router used in this collection
`SimpleMap<Shard>` `shards()` shards of a collection

### Method Detail

#### name

    String name()

#### shards

    SimpleMap<Shard> shards()

shards of a collection

#### config

    String config()

Name of the configset used by this collection

#### router

    Router router()

Router used in this collection